Announcement Announcement Module
Collapse
No announcement yet.
running petclinic in snapshot 0.3 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • running petclinic in snapshot 0.3

    Running petclinnic from the 0.3-SNAPSHOT once compiled causes "Class not found exception: org.hibernate.validator.InvalidStateException". So, after a search I founded that class in Hibernate Annotations. Added that jar to the classpath and now the petclinnic works.

    Sounds a little bit odd to have to include that hibernate jar if the petclinic-business.jar is not configured to use hibernate.

  • #2
    did you try a
    mvn install eclipse:eclipse idea:idea
    ?

    Comment


    • #3
      Originally posted by ge0ffrey View Post
      did you try a
      mvn install eclipse:eclipse idea:idea
      ?
      Well, No, currently I develop with netbeans. I only did a "mvn install"

      But I was talking about running the petclinnic without any development environment, as an end user of the petclinnic, and setting the *needed* runtime dependences in the classpath.

      Comment


      • #4
        There's a plugin for netbeans for maven (see maven.apache.org)

        But if you're doing it manually, here is a list of all dependencies:
        http://spring-rich-c.sourceforge.net...endencies.html
        As you can see, hibernate is one of them for petclinic

        Comment

        Working...
        X